AlsaPlayer: _scope_plugin Struct Reference

AlsaPlayer 0.99.81

Data Fields
_scope_plugin Struct Reference

`#include <scope_plugin.h>`

## Data Fields
scope_version_type | version
char * | name
char * | author
void * | handle
scope_init_type | init
scope_start_type | start
scope_running_type | running
scope_stop_type | stop
scope_shutdown_type | shutdown
scope_set_data_type | set_data
scope_set_fft_type | set_fft

## Detailed Description

You should declare a scope_plugin variable and populate it with pointers of the specific functions implemented by your scope

## Field Documentation

## ◆ author

char* _scope_plugin::author

Point to a character array with the name of the author(s) of the scope

## ◆ handle

void* _scope_plugin::handle

Pointer to a dlopen() handle. This is filled in by the HOST. Set to NULL.

## ◆ init

scope_init_type _scope_plugin::init

Should point to the implentation of your init() function. Required by the HOST.

## ◆ name

char* _scope_plugin::name

Point to a character array with the name of the scope

## ◆ running

scope_running_type _scope_plugin::running

Should point to the implementation of your running() function. Required by the HOST.

## ◆ set_data

scope_set_data_type _scope_plugin::set_data

Should point to the function that collects PCM data. If you don't want PCM data set to NULL.

## ◆ set_fft

scope_set_fft_type _scope_plugin::set_fft

Should point to the function that collects FFT data. If you don't want FFT data set to NULL. NB. set_data and set_fft can't both be NULL, at least one must be set.

## ◆ shutdown

scope_shutdown_type _scope_plugin::shutdown

Should point to the implementation of your shutdown() function. Required by the HOST.

## ◆ start

scope_start_type _scope_plugin::start

Should point to the implementation of your start() function. Required by the HOST.

## ◆ stop

scope_stop_type _scope_plugin::stop

Should point to the implementation of your stop() function. Required by the HOST.

## ◆ version

scope_version_type _scope_plugin::version

Set to SCOPE_PLUGIN_VERSION

The documentation for this struct was generated from the following file:

- scope_plugin.h